"use strict";

P.when("jQuery", "jQuery-owl","ready").execute(function($) {

  var $carouselWrapper = $('#hero-carousel');
  var $carouselEls = $carouselWrapper.find('.hero-carousel-item');

  var defaults = {
      items: 1,
      autoplay: true,
      autoplayTimeout: 8000,
      autoplaySpeed: 2000,
      dotsSpeed: 1000,
      loop: true,
  }

  var ocOptions = $carouselWrapper.data('carousel-options');
  // delete carousel keys that are empty or null otherwise jQuery extend will not function as expected.
  $.each(ocOptions, function(key,value) {
      if (value === "" || value === null) {
          delete ocOptions[key];
      }
  });

  function initCarousel() {
     $carouselWrapper.owlCarousel( $.extend( defaults, ocOptions) );
  }

  $carouselEls.length > 1 ? initCarousel() : null;
});
