P.when("jQuery", "jquery-cookie", "ready").execute(function($) {
    "use strict";

    var $primaryNav = $('.dp-primary-nav');
    var $navOverlay = $('.dp-primary-nav-overlay');
    var $navToggleEls = $('.dp-primary-nav-overlay, .dp-navbar-mobile-menu-toggle');
    var $navToggleIcon = $('.dp-navbar-menu-toggle-icon');
    var $navExpander = $('.dp-primary-nav-list-expander');
    var $navListItem = $('.dp-primary-nav-list-item');

    var $langOption = $('.lang-switcher-link');

    $langOption.click(function(e){
        e.preventDefault();
        $.removeCookie("appstore-devportal-locale", {path: '/'});
        $.cookie("appstore-devportal-locale", $(this).attr("data-locale"), {domain: '.amazon.com', path: '/'});
        $(this).toggleClass("lang-switcher-link--isActive");
        $(location).attr('href', $(this).attr('href'));
    });
    
    $navToggleEls.click(function() {
        $navOverlay.toggleClass('dp-primary-nav-overlay--active');
        $primaryNav.toggleClass('dp-primary-nav--open');
        $navToggleIcon.toggleClass('dp-navbar-menu-toggle-icon--open');
        $('body').toggleClass('dp-menu-override-hidden');
    });

    $navExpander.click(function() {
        $(this).parent($navListItem).toggleClass('dp-primary-nav-list-item--open');
    });

    if($("header.blog_body_header").length > 0){    //Only apply this to Blogs with the secondary nav/header
        $('header.blog_body_header').after($('#page-not-translated')); //If 'page not translated' message is shown, move it below the blog header, and add 'repositioned' class which will trigger CSS to make it visible.
    }
});
