P.when("jQuery", "ready").execute(function($) {
  "use strict";

  $('.single-field-form-submit-button').click(function(event) {
	var form = $(this).closest('.single-field-form');
    testEmail(form) ? form.submit() : displayErrorMessage(form);
  });
  
  $('.single-field-form-email-input').on('keyup keypress', function(e) {
    // Enter key
    if (e.keyCode === 13) {
      e.preventDefault();
      var form = $(this).closest('.single-field-form');
      testEmail(form) ? form.submit() : displayErrorMessage(form);
      return false;
    }
  });
  
  function testEmail(form) {
	var email = form.find('.single-field-form-email-input').val();
    var testEmail = /^[A-Z0-9._%+-]+@([A-Z0-9-]+\.)+[A-Z]{2,4}$/i;  // jshint ignore:line
    return testEmail.test(email);
  }
  
  function displayErrorMessage(form) {
    form.find('.a-alert-error').css("display", "block");
  }
});